head	1.12;
access;
symbols
	pkgsrc-2026Q1:1.12.0.122
	pkgsrc-2026Q1-base:1.12
	pkgsrc-2025Q4:1.12.0.120
	pkgsrc-2025Q4-base:1.12
	pkgsrc-2025Q3:1.12.0.118
	pkgsrc-2025Q3-base:1.12
	pkgsrc-2025Q2:1.12.0.116
	pkgsrc-2025Q2-base:1.12
	pkgsrc-2025Q1:1.12.0.114
	pkgsrc-2025Q1-base:1.12
	pkgsrc-2024Q4:1.12.0.112
	pkgsrc-2024Q4-base:1.12
	pkgsrc-2024Q3:1.12.0.110
	pkgsrc-2024Q3-base:1.12
	pkgsrc-2024Q2:1.12.0.108
	pkgsrc-2024Q2-base:1.12
	pkgsrc-2024Q1:1.12.0.106
	pkgsrc-2024Q1-base:1.12
	pkgsrc-2023Q4:1.12.0.104
	pkgsrc-2023Q4-base:1.12
	pkgsrc-2023Q3:1.12.0.102
	pkgsrc-2023Q3-base:1.12
	pkgsrc-2023Q2:1.12.0.100
	pkgsrc-2023Q2-base:1.12
	pkgsrc-2023Q1:1.12.0.98
	pkgsrc-2023Q1-base:1.12
	pkgsrc-2022Q4:1.12.0.96
	pkgsrc-2022Q4-base:1.12
	pkgsrc-2022Q3:1.12.0.94
	pkgsrc-2022Q3-base:1.12
	pkgsrc-2022Q2:1.12.0.92
	pkgsrc-2022Q2-base:1.12
	pkgsrc-2022Q1:1.12.0.90
	pkgsrc-2022Q1-base:1.12
	pkgsrc-2021Q4:1.12.0.88
	pkgsrc-2021Q4-base:1.12
	pkgsrc-2021Q3:1.12.0.86
	pkgsrc-2021Q3-base:1.12
	pkgsrc-2021Q2:1.12.0.84
	pkgsrc-2021Q2-base:1.12
	pkgsrc-2021Q1:1.12.0.82
	pkgsrc-2021Q1-base:1.12
	pkgsrc-2020Q4:1.12.0.80
	pkgsrc-2020Q4-base:1.12
	pkgsrc-2020Q3:1.12.0.78
	pkgsrc-2020Q3-base:1.12
	pkgsrc-2020Q2:1.12.0.74
	pkgsrc-2020Q2-base:1.12
	pkgsrc-2020Q1:1.12.0.54
	pkgsrc-2020Q1-base:1.12
	pkgsrc-2019Q4:1.12.0.76
	pkgsrc-2019Q4-base:1.12
	pkgsrc-2019Q3:1.12.0.72
	pkgsrc-2019Q3-base:1.12
	pkgsrc-2019Q2:1.12.0.70
	pkgsrc-2019Q2-base:1.12
	pkgsrc-2019Q1:1.12.0.68
	pkgsrc-2019Q1-base:1.12
	pkgsrc-2018Q4:1.12.0.66
	pkgsrc-2018Q4-base:1.12
	pkgsrc-2018Q3:1.12.0.64
	pkgsrc-2018Q3-base:1.12
	pkgsrc-2018Q2:1.12.0.62
	pkgsrc-2018Q2-base:1.12
	pkgsrc-2018Q1:1.12.0.60
	pkgsrc-2018Q1-base:1.12
	pkgsrc-2017Q4:1.12.0.58
	pkgsrc-2017Q4-base:1.12
	pkgsrc-2017Q3:1.12.0.56
	pkgsrc-2017Q3-base:1.12
	pkgsrc-2017Q2:1.12.0.52
	pkgsrc-2017Q2-base:1.12
	pkgsrc-2017Q1:1.12.0.50
	pkgsrc-2017Q1-base:1.12
	pkgsrc-2016Q4:1.12.0.48
	pkgsrc-2016Q4-base:1.12
	pkgsrc-2016Q3:1.12.0.46
	pkgsrc-2016Q3-base:1.12
	pkgsrc-2016Q2:1.12.0.44
	pkgsrc-2016Q2-base:1.12
	pkgsrc-2016Q1:1.12.0.42
	pkgsrc-2016Q1-base:1.12
	pkgsrc-2015Q4:1.12.0.40
	pkgsrc-2015Q4-base:1.12
	pkgsrc-2015Q3:1.12.0.38
	pkgsrc-2015Q3-base:1.12
	pkgsrc-2015Q2:1.12.0.36
	pkgsrc-2015Q2-base:1.12
	pkgsrc-2015Q1:1.12.0.34
	pkgsrc-2015Q1-base:1.12
	pkgsrc-2014Q4:1.12.0.32
	pkgsrc-2014Q4-base:1.12
	pkgsrc-2014Q3:1.12.0.30
	pkgsrc-2014Q3-base:1.12
	pkgsrc-2014Q2:1.12.0.28
	pkgsrc-2014Q2-base:1.12
	pkgsrc-2014Q1:1.12.0.26
	pkgsrc-2014Q1-base:1.12
	pkgsrc-2013Q4:1.12.0.24
	pkgsrc-2013Q4-base:1.12
	pkgsrc-2013Q3:1.12.0.22
	pkgsrc-2013Q3-base:1.12
	pkgsrc-2013Q2:1.12.0.20
	pkgsrc-2013Q2-base:1.12
	pkgsrc-2013Q1:1.12.0.18
	pkgsrc-2013Q1-base:1.12
	pkgsrc-2012Q4:1.12.0.16
	pkgsrc-2012Q4-base:1.12
	pkgsrc-2012Q3:1.12.0.14
	pkgsrc-2012Q3-base:1.12
	pkgsrc-2012Q2:1.12.0.12
	pkgsrc-2012Q2-base:1.12
	pkgsrc-2012Q1:1.12.0.10
	pkgsrc-2012Q1-base:1.12
	pkgsrc-2011Q4:1.12.0.8
	pkgsrc-2011Q4-base:1.12
	pkgsrc-2011Q3:1.12.0.6
	pkgsrc-2011Q3-base:1.12
	pkgsrc-2011Q2:1.12.0.4
	pkgsrc-2011Q2-base:1.12
	pkgsrc-2011Q1:1.12.0.2
	pkgsrc-2011Q1-base:1.12
	pkgsrc-2010Q4:1.11.0.40
	pkgsrc-2010Q4-base:1.11
	pkgsrc-2010Q3:1.11.0.38
	pkgsrc-2010Q3-base:1.11
	pkgsrc-2010Q2:1.11.0.36
	pkgsrc-2010Q2-base:1.11
	pkgsrc-2010Q1:1.11.0.34
	pkgsrc-2010Q1-base:1.11
	pkgsrc-2009Q4:1.11.0.32
	pkgsrc-2009Q4-base:1.11
	pkgsrc-2009Q3:1.11.0.30
	pkgsrc-2009Q3-base:1.11
	pkgsrc-2009Q2:1.11.0.28
	pkgsrc-2009Q2-base:1.11
	pkgsrc-2009Q1:1.11.0.26
	pkgsrc-2009Q1-base:1.11
	pkgsrc-2008Q4:1.11.0.24
	pkgsrc-2008Q4-base:1.11
	pkgsrc-2008Q3:1.11.0.22
	pkgsrc-2008Q3-base:1.11
	cube-native-xorg:1.11.0.20
	cube-native-xorg-base:1.11
	pkgsrc-2008Q2:1.11.0.18
	pkgsrc-2008Q2-base:1.11
	cwrapper:1.11.0.16
	pkgsrc-2008Q1:1.11.0.14
	pkgsrc-2008Q1-base:1.11
	pkgsrc-2007Q4:1.11.0.12
	pkgsrc-2007Q4-base:1.11
	pkgsrc-2007Q3:1.11.0.10
	pkgsrc-2007Q3-base:1.11
	pkgsrc-2007Q2:1.11.0.8
	pkgsrc-2007Q2-base:1.11
	pkgsrc-2007Q1:1.11.0.6
	pkgsrc-2007Q1-base:1.11
	pkgsrc-2006Q4:1.11.0.4
	pkgsrc-2006Q4-base:1.11
	pkgsrc-2006Q3:1.11.0.2
	pkgsrc-2006Q3-base:1.11
	pkgsrc-2006Q2:1.10.0.18
	pkgsrc-2006Q2-base:1.10
	pkgsrc-2006Q1:1.10.0.16
	pkgsrc-2006Q1-base:1.10
	pkgsrc-2005Q4:1.10.0.14
	pkgsrc-2005Q4-base:1.10
	pkgsrc-2005Q3:1.10.0.12
	pkgsrc-2005Q3-base:1.10
	pkgsrc-2005Q2:1.10.0.10
	pkgsrc-2005Q2-base:1.10
	pkgsrc-2005Q1:1.10.0.8
	pkgsrc-2005Q1-base:1.10
	pkgsrc-2004Q4:1.10.0.6
	pkgsrc-2004Q4-base:1.10
	pkgsrc-2004Q3:1.10.0.4
	pkgsrc-2004Q3-base:1.10
	pkgsrc-2004Q2:1.10.0.2
	pkgsrc-2004Q2-base:1.10
	pkgsrc-2004Q1:1.9.0.4
	pkgsrc-2004Q1-base:1.9
	pkgsrc-2003Q4:1.9.0.2
	pkgsrc-2003Q4-base:1.9
	netbsd-1-6-1:1.8.0.2
	netbsd-1-6-1-base:1.8
	netbsd-1-6:1.7.0.6
	netbsd-1-6-RELEASE-base:1.7
	pkgviews:1.7.0.2
	pkgviews-base:1.7
	buildlink2:1.6.0.2
	buildlink2-base:1.7
	netbsd-1-5-PATCH003:1.6
	netbsd-1-5-PATCH001:1.5
	netbsd-1-5-RELEASE:1.3
	netbsd-1-4-PATCH003:1.3
	netbsd-1-4-PATCH002:1.3
	comdex-fall-1999:1.3
	netbsd-1-4-PATCH001:1.3
	netbsd-1-4-RELEASE:1.3
	netbsd-1-3-PATCH003:1.3
	netbsd-1-3-PATCH002:1.2
	FreeBSD-current-1997-09-25:1.1.1.1
	FREEBSD:1.1.1;
locks; strict;
comment	@# @;


1.12
date	2011.03.19.03.58.20;	author obache;	state Exp;
branches;
next	1.11;

1.11
date	2006.09.03.11.39.08;	author kristerw;	state Exp;
branches;
next	1.10;

1.10
date	2004.04.21.12.08.10;	author dillo;	state Exp;
branches;
next	1.9;

1.9
date	2003.06.26.14.51.00;	author dillo;	state Exp;
branches;
next	1.8;

1.8
date	2003.01.19.09.12.07;	author salo;	state Exp;
branches;
next	1.7;

1.7
date	2002.06.06.21.54.39;	author cjep;	state Exp;
branches;
next	1.6;

1.6
date	2001.10.02.11.07.15;	author seb;	state Exp;
branches
	1.6.2.1;
next	1.5;

1.5
date	2001.04.12.21.29.50;	author jtb;	state Exp;
branches;
next	1.4;

1.4
date	2001.02.27.19.37.47;	author wiz;	state Exp;
branches;
next	1.3;

1.3
date	98.08.07.11.13.54;	author agc;	state Exp;
branches;
next	1.2;

1.2
date	98.02.09.00.16.07;	author hubertf;	state Exp;
branches;
next	1.1;

1.1
date	97.10.27.04.53.28;	author hubertf;	state Exp;
branches
	1.1.1.1;
next	;

1.6.2.1
date	2002.06.23.18.59.35;	author jlam;	state Exp;
branches;
next	;

1.1.1.1
date	97.10.27.04.53.28;	author hubertf;	state Exp;
branches;
next	;


desc
@@


1.12
log
@* add user-destdir installation support.
* fixes a linterpreter line.
* remove post-configure subst, no information in commit log and
  the file will not created there.
@
text
@$NetBSD: patch-aa,v 1.11 2006/09/03 11:39:08 kristerw Exp $

--- Makefile.in.orig	2006-09-03 13:12:21.000000000 +0200
+++ Makefile.in	2006-09-03 13:20:50.000000000 +0200
@@@@ -338,12 +338,12 @@@@
 	fi
 
 inst-inc:
-	$(INSTALL_DATA) $(srcdir)/c/scheme48.h $(DESTDIR)$(incdir)	
+	$(INSTALL_DATA) $(srcdir)/c/scheme48.h $(DESTDIR)$(incdir)/scsh.h
 	$(INSTALL_DATA) $(srcdir)/c/write-barrier.h $(DESTDIR)$(incdir)
 
 install-cig: cig
-	$(INSTALL_PROGRAM) $(srcdir)/$(CIG) $(DESTDIR)$(LIB)/cig
-	$(INSTALL_PROGRAM) $(srcdir)/$(CIG).image $(DESTDIR)$(LIB)/cig
+	$(BSD_INSTALL_SCRIPT) $(srcdir)/$(CIG) $(DESTDIR)$(LIB)/cig
+	$(BSD_INSTALL_SCRIPT) $(srcdir)/$(CIG).image $(DESTDIR)$(LIB)/cig
 	$(INSTALL_DATA) $(srcdir)/$(LIBCIG) $(DESTDIR)$(LIB)/cig
 	$(INSTALL_DATA) $(srcdir)/cig/libcig.h $(DESTDIR)$(LIB)/cig
 
@@@@ -355,6 +355,9 @@@@
 	done &&								\
 	for f in $(srcdir)/scheme/rts/*num.scm $(srcdir)/scheme/rts/jar-defrecord.scm; do	\
 		$(INSTALL_DATA) $$f $(DESTDIR)$(LIB)/rts || exit 1;	\
+	done &&								\
+	for f in emacs/*; do						\
+		$(INSTALL_DATA) $$f $(DESTDIR)$(LIB)/emacs || exit 1;	\
 	done 
 
 inst-doc:
@@@@ -419,8 +422,8 @@@@
 	}								\
 	done &&								\
 	for dir in								\
-		rts env big opt misc link srfi scsh doc/scsh-manual			\
-		doc/s48-manual/html doc/scsh-paper/html cig; do			\
+		emacs rts env big opt misc link srfi scsh doc/scsh-manual			\
+		doc/s48-manual/html doc/scsh-paper/html; do			\
 		{ mkdir -p $(DESTDIR)$(LIB)/$$dir && [ -w $(DESTDIR)$(LIB)/$$dir ]; } || {	\
 			echo "$(DESTDIR)$(LIB)/$$dir not a writable directory" >&2; 	\
 		exit 1;						  		\
@@@@ -903,9 +906,9 @@@@
 
 install-scsh: scsh install-scsh-image install-stripped-scsh-image
 	$(RM) $(DESTDIR)$(bindir)/$(RUNNABLE)
-	$(INSTALL_PROGRAM) scsh/scsh $(DESTDIR)$(bindir)/$(RUNNABLE)
-	$(INSTALL_PROGRAM) $(LIBSCSHVM) $(DESTDIR)$(libdir)/$(LIBSCSHVM)
-	$(INSTALL_PROGRAM) $(LIBSCSH) $(DESTDIR)$(libdir)/$(LIBSCSH)
+	$(BSD_INSTALL_SCRIPT) scsh/scsh $(DESTDIR)$(bindir)/$(RUNNABLE)
+	$(INSTALL_DATA) $(LIBSCSHVM) $(DESTDIR)$(libdir)/$(LIBSCSHVM)
+	$(INSTALL_DATA) $(LIBSCSH) $(DESTDIR)$(libdir)/$(LIBSCSH)
 	$(RANLIB) $(DESTDIR)$(libdir)/$(LIBSCSH)
 	for f in $(srcdir)/scsh/*.scm $(srcdir)/scsh/*/*.scm; \
 	    do $(INSTALL_DATA) $$f $(DESTDIR)$(LIB)/scsh/; done
@


1.11
log
@Update shells/scsh to 0.6.7.

New in this release
=====================
** Support for interix
** Ignoring of synchronous signals
   The procedures IGNORE-SIGNAL and HANDLE-SIGNAL-DEFAULT have been
   added.
** Support for gcc 4.0
** 0.6 for module path
   The standard module path now contains
   ${prefix}/lib/scsh/modules/0.6 in addition to
   $prefix/lib/scsh/modules for compatibility with install-lib
** New implementation of open-pty
   Instead of search for /dev/pty??, scsh now tries a wide variety of
   ways to aquire a new pty and the corresponding tty.
** Bug fixes
   argv[0] is now the first element of command-line
   Fixes found by new test suite
   Regexp for empty string
   Argument checking for COPY-BYTES!
   GC_PROTECTs for send_substring
   format_date support for #f timezone
   Added predicates for user-info and group-info
   Reaping of stopped processes: Do not mark stopped processes as dead
   md5-digest-for-port
   | regexps return char-sets
   standard-let in srfi-5
   (%)read-delimited! checks for mutable buffer
   leap second for srfi-19
   The default image for the scshvm is now the installed scsh.image.
@
text
@d1 1
a1 1
$NetBSD$
d27 1
a27 1
+		$(INSTALL_DATA) $$f $(LIB)/emacs || exit 1;		\
@


1.10
log
@update to 0.6.6 (bugfixes and improvments)
@
text
@d3 3
a5 3
--- Makefile.in.orig	Tue Feb 17 17:11:13 2004
+++ Makefile.in
@@@@ -338,12 +338,12 @@@@ inst-man:
d21 1
a21 1
@@@@ -355,7 +355,11 @@@@ inst-misc:
d23 1
a23 1
 	for f in scheme/rts/*num.scm scheme/rts/jar-defrecord.scm; do	\
d25 4
a28 6
-	done 
+	done  &&                                                        \
+	for f in emacs/*; do                                            \
+		$(INSTALL_DATA) $$f $(LIB)/emacs || exit 1;             \
+	done
+
d31 1
a31 2
 	for f in $(srcdir)/doc/*.txt $(srcdir)/doc/*.ps; do \
@@@@ -419,8 +423,8 @@@@ dirs:
d42 1
a42 1
@@@@ -899,9 +903,9 @@@@ scsh/stripped-scsh.image: $(VM) $(SCHEME
d46 6
a51 6
-	$(INSTALL_PROGRAM) $(srcdir)/scsh/scsh $(DESTDIR)$(bindir)/$(RUNNABLE)
-	$(INSTALL_PROGRAM) $(srcdir)/$(LIBSCSHVM) $(DESTDIR)$(libdir)/$(LIBSCSHVM)
-	$(INSTALL_PROGRAM) $(srcdir)/$(LIBSCSH) $(DESTDIR)$(libdir)/$(LIBSCSH)
+	$(BSD_INSTALL_SCRIPT) $(srcdir)/scsh/scsh $(DESTDIR)$(bindir)/$(RUNNABLE)
+	$(INSTALL_DATA) $(srcdir)/$(LIBSCSHVM) $(DESTDIR)$(libdir)/$(LIBSCSHVM)
+	$(INSTALL_DATA) $(srcdir)/$(LIBSCSH) $(DESTDIR)$(libdir)/$(LIBSCSH)
a54 6
@@@@ -939,4 +943,4 @@@@ scsh/configure.scm: scsh/configure.scm.i
             -e 's|@@scsh_DEFS@@|$(DEFS)|g' \
             -e 's|@@scsh_CFLAGS@@|$(CFLAGS)|g' \
             -e 's|@@scsh_CPPFLAGS@@|$(CPPFLAGS)|g' \
-            -e 's|@@scsh_LDFLAGS@@|$(LDFLAGS)|g'  $< > $@@
+            -e 's|@@scsh_LDFLAGS@@|$(LDFLAGS)|g'  scsh/configure.scm.in > $@@
@


1.9
log
@update to 0.6.4, no changelog provided
@
text
@d3 1
a3 1
--- Makefile.in.orig	Mon Mar 10 13:13:19 2003
d5 1
a5 1
@@@@ -336,12 +336,12 @@@@ inst-man:
d9 3
a11 3
-	$(INSTALL_DATA) $(srcdir)/c/scheme48.h $(incdir)	
+	$(INSTALL_DATA) $(srcdir)/c/scheme48.h $(incdir)/scsh.h
 	$(INSTALL_DATA) $(srcdir)/c/write-barrier.h $(incdir)
d14 6
a19 6
-	$(INSTALL_PROGRAM) $(srcdir)/$(CIG) $(LIB)/cig
-	$(INSTALL_PROGRAM) $(srcdir)/$(CIG).image $(LIB)/cig
+	$(BSD_INSTALL_SCRIPT) $(srcdir)/$(CIG) $(LIB)/cig
+	$(BSD_INSTALL_SCRIPT) $(srcdir)/$(CIG).image $(LIB)/cig
 	$(INSTALL_DATA) $(srcdir)/$(LIBCIG) $(LIB)/cig
 	$(INSTALL_DATA) $(srcdir)/cig/libcig.h $(LIB)/cig
d21 1
a21 1
@@@@ -353,7 +353,10 @@@@ inst-misc:
d24 1
a24 1
 		$(INSTALL_DATA) $$f $(LIB)/rts || exit 1;		\
d26 3
a28 3
+	done  &&							\
+	for f in emacs/*; do						\
+		$(INSTALL_DATA) $$f $(LIB)/emacs || exit 1;		\
d30 1
d34 1
a34 1
@@@@ -417,8 +420,8 @@@@ dirs:
d40 1
a40 1
+		emacs rts env big opt misc link srfi scsh doc/scsh-manual	\
d42 2
a43 2
 		{ mkdir -p $(LIB)/$$dir && [ -w $(LIB)/$$dir ]; } || {		\
 			echo "$(LIB)/$$dir not a writable directory" >&2; 	\
d45 1
a45 1
@@@@ -892,9 +895,9 @@@@ scsh/stripped-scsh.image: $(VM) $(SCHEME
d48 8
a55 8
 	$(RM) $(bindir)/$(RUNNABLE)
-	$(INSTALL_PROGRAM) $(srcdir)/scsh/scsh $(bindir)/$(RUNNABLE)
-	$(INSTALL_PROGRAM) $(srcdir)/$(LIBSCSHVM) $(libdir)/$(LIBSCSHVM)
-	$(INSTALL_PROGRAM) $(srcdir)/$(LIBSCSH) $(libdir)/$(LIBSCSH)
+	$(BSD_INSTALL_SCRIPT) $(srcdir)/scsh/scsh $(bindir)/$(RUNNABLE)
+	$(INSTALL_DATA) $(srcdir)/$(LIBSCSHVM) $(libdir)/$(LIBSCSHVM)
+	$(INSTALL_DATA) $(srcdir)/$(LIBSCSH) $(libdir)/$(LIBSCSH)
 	$(RANLIB) $(libdir)/$(LIBSCSH)
d57 7
a63 1
 	    do $(INSTALL_DATA) $$f $(LIB)/scsh/; done
@


1.8
log
@s/INSTALL_SCRIPT/BSD_INSTALL_SCRIPT/ in patch-aa, remove unnecessary MAKE_ENV.
@
text
@d1 1
a1 1
$NetBSD: patch-aa,v 1.7 2002/06/06 21:54:39 cjep Exp $
d3 1
a3 1
--- Makefile.in.orig	Mon Jun  4 06:18:51 2001
d5 2
a6 1
@@@@ -148,7 +148,7 @@@@
d8 4
a11 31
 # The following is the first rule and therefore the "make" command's
 # default target.
-enough: $(VM) $(IMAGE) script $(LIBCIG) scsh $(LIBSCSH) $(MANPAGE) .notify
+enough: $(VM) $(IMAGE) script $(LIBCIG) scsh $(LIBSCSH) $(MANPAGE)
 
 # The developers are curious to know.  Don't be concerned if this fails.
 # You may comment these lines out if you wish to be discourteous.
@@@@ -286,6 +286,7 @@@@
 	$(RM) -r $(LIB).old
 	if [ -d $(LIB) ] ; then mv $(LIB) $(LIB).old ; fi
 	mkdir $(LIB)
+	mkdir $(LIB)/emacs
 	mkdir $(LIB)/big
 	mkdir $(LIB)/cig
 	mkdir $(LIB)/doc
@@@@ -295,6 +296,9 @@@@
 	mkdir $(LIB)/misc
 	mkdir $(LIB)/opt
 	mkdir $(LIB)/scsh
+	mkdir $(LIB)/scsh/rx
+	mkdir $(LIB)/scsh/lib
+	mkdir $(LIB)/scsh/machine
 	mkdir $(LIB)/rts
 	mkdir $(LIB)/vm
 
@@@@ -310,11 +314,11 @@@@
           else echo "No man directory, not installing man page"; fi
 
 install-inc: scheme48.h
-	$(INSTALL_DATA) $(srcdir)/scheme48.h $(incdir)/
+	$(INSTALL_DATA) $(srcdir)/scheme48.h $(incdir)/scsh.h
d21 29
a49 16
@@@@ -322,6 +326,7 @@@@
 	      $(LIB)/misc $(LIB)/link $(LIB)/vm $(LIB)/doc
 	for f in $(srcdir)/rts/*num.scm; \
 	    do $(INSTALL_DATA) $$f $(LIB)/rts/; done
+	for f in $(srcdir)/emacs/*; do $(INSTALL_DATA) $$f $(LIB)/emacs/; done
 	for f in $(srcdir)/env/*.scm; do $(INSTALL_DATA) $$f $(LIB)/env/; done
 	for f in $(srcdir)/big/*.scm; do $(INSTALL_DATA) $$f $(LIB)/big/; done
 	for f in $(srcdir)/opt/*.scm; do $(INSTALL_DATA) $$f $(LIB)/opt/; done
@@@@ -727,13 +732,20 @@@@
 
 install-scsh: scsh
 	$(RM) $(bindir)/$(RUNNABLE)$(EXEEXT)
-	$(INSTALL_PROGRAM) $(srcdir)/scsh/scsh$(EXEEXT) \
+	$(BSD_INSTALL_SCRIPT) $(srcdir)/scsh/scsh$(EXEEXT) \
 	    $(bindir)/$(RUNNABLE)$(EXEEXT)
-	$(INSTALL_PROGRAM) $(srcdir)/scsh/scsh.image $(LIB)/scsh.image
d51 2
a52 1
+	$(INSTALL_DATA) $(srcdir)/scsh/scsh.image $(LIB)/scsh.image
d55 1
a55 1
 	for f in $(srcdir)/scsh/*.scm; \
a56 10
+	for f in $(srcdir)/scsh/lib/*.scm; \
+	    do $(INSTALL_DATA) $$f $(LIB)/scsh/lib/; done
+	for f in $(srcdir)/scsh/rx/*.scm; \
+	    do $(INSTALL_DATA) $$f $(LIB)/scsh/rx/; done
+	for f in $(srcdir)/scsh/machine/*.scm; \
+	    do $(INSTALL_DATA) $$f $(LIB)/scsh/machine/; done
+
 
 clean-scsh:
 	$(RM) scsh/*.o
@


1.7
log
@This is an attempt to close PR#16619. The package will now compile, however
I have not got the scsh experience to test this. Various discussions with
wiz@@, jschauma@@ and kim@@ extremely helpful.
@
text
@d1 1
a1 1
$NetBSD$
d42 2
a43 2
+	$(INSTALL_SCRIPT) $(srcdir)/$(CIG) $(LIB)/cig
+	$(INSTALL_SCRIPT) $(srcdir)/$(CIG).image $(LIB)/cig
d60 1
a60 1
+	$(INSTALL_SCRIPT) $(srcdir)/scsh/scsh$(EXEEXT) \
@


1.6
log
@Upgrade to version 0.5.3

Changes:
        win32 support
        MacOS X support
        public cvs repository
        new libraries
        databases access via ODBC
        bugfixes
@
text
@d3 1
a3 1
--- Makefile.in.orig	Mon Jun  4 07:18:51 2001
d63 1
d65 1
a65 1
 	$(INSTALL_PROGRAM) $(srcdir)/$(LIBSCSH) $(libdir)/$(LIBSCSH)
@


1.6.2.1
log
@Merge from pkgsrc-current to buildlink2 branch.
@
text
@d1 1
a1 1
$NetBSD: patch-aa,v 1.7 2002/06/06 21:54:39 cjep Exp $
d3 1
a3 1
--- Makefile.in.orig	Mon Jun  4 06:18:51 2001
a62 1
-	$(INSTALL_PROGRAM) $(srcdir)/$(LIBSCSH) $(libdir)/$(LIBSCSH)
d64 1
a64 1
+	$(INSTALL_DATA) $(srcdir)/$(LIBSCSH) $(libdir)/$(LIBSCSH)
@


1.5
log
@Install header file as "scsh.h" rather than "scheme48.h", thus
resolving a conflict with lang/scheme48.  This should not cause any
(difficult) problems.  Decrease no. of lines in DESCR to satisfy
`pkglint'.  Bump up version number.
@
text
@d3 1
a3 1
--- Makefile.in.orig	Wed Sep 15 14:54:48 1999
d5 1
a5 1
@@@@ -139,7 +139,7 @@@@
d14 1
a14 11
@@@@ -156,6 +156,9 @@@@
 .scm.c:
 	$(srcdir)/$(VM) -o $(srcdir)/$(VM) -i $(CIG) < $< > $*.c
 
+scsh/rdelim.c: 
+	$(srcdir)/$(VM) -o $(srcdir)/$(VM) -i $(CIG) < $< > $*.c
+
 # These .h files mediate between the code exported from foo1.c
 # and imported into foo.scm's stub foo.c.
 
@@@@ -277,6 +280,7 @@@@
d22 1
a22 1
@@@@ -286,6 +290,9 @@@@
d32 1
a32 1
@@@@ -301,11 +308,11 @@@@
d47 1
a47 1
@@@@ -313,6 +320,7 @@@@
d55 1
a55 19
@@@@ -627,7 +635,8 @@@@
 	scsh/time.scm \
 	scsh/top.scm \
 	scsh/tty.scm \
-	scsh/utilities.scm
+	scsh/utilities.scm \
+	scsh/rx/let-match.scm
 
 #    	scsh/dbm.scm db.scm ndbm.scm
 #	static.scm static-heap.scm static1.scm
@@@@ -656,6 +665,7 @@@@
          $(srcdir)/scsh/machine/packages.scm \
 	 $(srcdir)/scsh/rx/packages.scm \
 	 $(srcdir)/scsh/rx/cond-package.scm \
+         $(srcdir)/scsh/rx/let-match.scm \
 	 $(srcdir)/scsh/scsh-package.scm \
 	 $(srcdir)/scsh/lib/string-pack.scm \
 	 $(srcdir)/scsh/lib/list-pack.scm \
@@@@ -711,13 +721,20 @@@@
d63 2
a64 3
-	$(INSTALL_PROGRAM) $(srcdir)/$(LIBSCSH) $(libdir)/$(LIBSCSH)
+	$(INSTALL_SCRIPT) $(srcdir)/scsh/scsh.image $(LIB)/scsh.image
+	$(INSTALL_DATA) $(srcdir)/$(LIBSCSH) $(libdir)/$(LIBSCSH)
d69 1
a69 1
+            do $(INSTALL_DATA) $$f $(LIB)/scsh/lib/; done
d71 1
a71 1
+            do $(INSTALL_DATA) $$f $(LIB)/scsh/rx/; done
d73 1
a73 1
+            do $(INSTALL_DATA) $$f $(LIB)/scsh/machine/; done
d77 1
a77 1
 	$(RM) scsh/*.o scsh/regexp/*.o scsh/rx/*.o scsh/machine/*.o 
@


1.4
log
@Update to 0.5.2, provided by Sean Doran in pkg/11142, with some minor
cleanup by me.
Changes: 'open-source', new char-sets and -operations, new regexp system,
some renaming (reduce-* -> *-fold), and lots of bugfixes.
@
text
@d3 2
a4 2
--- Makefile.in.orig	Wed Sep 15 16:54:48 1999
+++ Makefile.in	Sun Oct  1 21:46:02 2000
d42 6
a47 2
@@@@ -304,8 +311,8 @@@@
 	$(INSTALL_DATA) $(srcdir)/scheme48.h $(incdir)/
@


1.3
log
@Add NetBSD RCS Ids.
@
text
@d3 2
a4 2
--- Makefile.in.orig	Mon Jun  9 03:46:05 1997
+++ Makefile.in	Sat Feb  7 22:31:02 1998
d14 11
a24 1
@@@@ -252,6 +252,7 @@@@
d32 11
a42 1
@@@@ -279,8 +280,8 @@@@
d53 1
a53 1
@@@@ -288,6 +289,7 @@@@
d61 20
a80 1
@@@@ -676,8 +678,8 @@@@
d82 4
a85 2
 	$(RM) $(bindir)/$(RUNNABLE)
 	$(INSTALL_PROGRAM) $(srcdir)/scsh/scsh $(bindir)/$(RUNNABLE)
d93 10
@


1.2
log
@Fix stripping of binaries (caused by fixing PR4884)
@
text
@d1 2
@


1.1
log
@Initial revision
@
text
@d1 49
a49 39
*** Makefile.in.original	Tue Nov 26 14:44:19 1996
--- Makefile.in	Thu Nov 28 15:29:24 1996
***************
*** 137,143 ****
  
  # The following is the first rule and therefore the "make" command's
  # default target.
! enough: $(VM) $(IMAGE) script $(LIBCIG) scsh $(LIBSCSH) $(MANPAGE) .notify
  
  # The developers are curious to know.  Don't be concerned if this fails.
  # You may comment these lines out if you wish to be discourteous.
--- 137,143 ----
  
  # The following is the first rule and therefore the "make" command's
  # default target.
! enough: $(VM) $(IMAGE) script $(LIBCIG) scsh $(LIBSCSH) $(MANPAGE)
  
  # The developers are curious to know.  Don't be concerned if this fails.
  # You may comment these lines out if you wish to be discourteous.
***************
*** 250,255 ****
--- 250,256 ----
  	$(RM) -r $(LIB).old
  	if [ -d $(LIB) ] ; then mv $(LIB) $(LIB).old ; fi
  	mkdir $(LIB)
+ 	mkdir $(LIB)/emacs
  	mkdir $(LIB)/big
  	mkdir $(LIB)/cig
  	mkdir $(LIB)/doc
***************
*** 286,291 ****
--- 287,293 ----
  	      $(LIB)/misc $(LIB)/link $(LIB)/vm $(LIB)/doc
  	for f in $(srcdir)/rts/*num.scm; \
  	    do $(INSTALL_DATA) $$f $(LIB)/rts/; done
+ 	for f in $(srcdir)/emacs/*; do $(INSTALL_DATA) $$f $(LIB)/emacs/; done
  	for f in $(srcdir)/env/*.scm; do $(INSTALL_DATA) $$f $(LIB)/env/; done
  	for f in $(srcdir)/big/*.scm; do $(INSTALL_DATA) $$f $(LIB)/big/; done
  	for f in $(srcdir)/opt/*.scm; do $(INSTALL_DATA) $$f $(LIB)/opt/; done
@


1.1.1.1
log
@get everything in
@
text
@@
